package com.jpsoft.shinestar.modules.base.service;

import com.github.pagehelper.Page;
import com.jpsoft.shinestar.modules.base.entity.WarningPusher;
import com.jpsoft.shinestar.modules.common.dto.Sort;

import java.util.List;
import java.util.Map;

public interface WarningPusherService {
	WarningPusher get(String id);
	boolean exist(String id);
	int insert(WarningPusher model);
	int update(WarningPusher model);
	int delete(String id);
	List<WarningPusher> list();
	Page<WarningPusher> pageSearch(Map<String, Object> searchParams, int pageNum, int pageSize, boolean count, List<Sort> sortList);

    List<WarningPusher> findByCompanyId(String companyId);

    List<WarningPusher> findByCompanyIdList(List<String> idList);
}